# ![](./docs/icon-54.png) traced it

A simple app for short text notes, with a prominent timestamp for each entry.
Add quantities to your notes using preset formats (S/M/L, 1x/2x/3x) or custom
numbers.

The uncomplicated interface makes the app easy to use even when you're busy or
distracted.

[<img src="https://f-droid.org/badge/get-it-on.png"
alt="Get it on F-Droid"
height="80">](https://f-droid.org/packages/app.traced_it/)
[<img src="https://gitlab.com/IzzyOnDroid/repo/-/raw/master/assets/IzzyOnDroid.png"
alt="Get it on Izzy on Droid"
height="80">](https://apt.izzysoft.de/packages/app.traced_it)

## Perfect for

- Journaling
- Tracking daily routines
- Recording workouts
- Logging supplements and water intake
- Measuring cooking ingredients
- Noting simple lab results

## Features

- Add text notes with an optional amount (S/M/L, 1x/2x/3x, 5.813…)
- See all your notes with the time elapsed since you wrote each note
- Tap the + button to add a new note with the same text as an existing note
- Edit a note, delete it, delete all notes
- Export all notes as a spreadsheet file (CSV format) and import them

## Privacy & security

- The app doesn't use the internet at all – your notes are stored on your phone
  only
- The app doesn't access any information about you and doesn't collect usage
  data
- No ads
- Free and open-source

[<img src="./fastlane/metadata/android/en-US/images/phoneScreenshots/1.png"
alt="Screenshot of a list of notes"
width="270">](./fastlane/metadata/android/en-US/images/phoneScreenshots/1.png)
[<img src="./fastlane/metadata/android/en-US/images/phoneScreenshots/2.png"
alt="Screenshot of the interface to add new note"
width="270">](./fastlane/metadata/android/en-US/images/phoneScreenshots/2.png)
[<img src="./fastlane/metadata/android/en-US/images/phoneScreenshots/3.png"
alt="Screenshot of the interface to edit or delete a note"
width="270">](./fastlane/metadata/android/en-US/images/phoneScreenshots/3.png)
[<img src="./fastlane/metadata/android/en-US/images/phoneScreenshots/4.png"
alt="Screenshot of the interface to export notes"
width="270">](./fastlane/metadata/android/en-US/images/phoneScreenshots/4.png)

## Installation

Download an APK from GitHub and verify its signature:

[![GitHub](https://img.shields.io/github/v/release/traced-it/traced-it-android?logo=github&label=GitHub)](https://github.com/traced-it/traced-it-android/releases/latest/download/app.traced_it.apk)

```shell
apksigner verify --print-certs app.traced_it.apk
```

Signer #1 certificate SHA-256 digest must be
`d102417bced85dfb23c49ec1e1915963d17cf3d4c028b754877943cc9b865aa9`.

## Contributing

We welcome your contributions! To help us organize the work, please start by
creating a [GitHub issue](https://github.com/traced-it/traced-it-android/issues)
for the bug or feature you'd like to work on.

To translate the app, register at
[Toolate](https://toolate.othing.xyz/projects/traced-it/), which is an instance
of the Weblate translation app that we use. Toolate will submit your translation
as a GitHub pull request.

## License

Distributed under GNU General Public License version 3 or later. See
[COPYING](./COPYING).
